Bug 236631 - comms/direwolf: Update to 1.5
Summary: comms/direwolf: Update to 1.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: hamradio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-19 07:01 UTC by takefu
Modified: 2019-07-22 18:14 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (kevans)


Attachments
direwolf-1.5.patch (46.78 KB, patch)
2019-03-19 07:01 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2019-03-19 07:01:01 UTC
Created attachment 202974 [details]
direwolf-1.5.patch
Comment 1 Kyle Evans freebsd_committer 2019-07-21 15:20:29 UTC
Passing this to hamradio@- to whomever commits, please update the MAINTAINER to the list. My direwolf pi is currently in storage and I can't quite test updates.
Comment 2 commit-hook freebsd_committer 2019-07-22 18:10:17 UTC
A commit references this bug:

Author: shurd
Date: Mon Jul 22 17:27:24 UTC 2019
New revision: 507152
URL: https://svnweb.freebsd.org/changeset/ports/507152

Log:
  Update to 1.5, and change maintainer to hamradio@

  PR:		236631
  Submitted by:	takefu
  Approved by:	kevans (maintainer)

Changes:
  head/comms/direwolf/Makefile
  head/comms/direwolf/distinfo
  head/comms/direwolf/files/Makefile.FreeBSD
  head/comms/direwolf/files/patch-Makefile
  head/comms/direwolf/files/patch-Makefile.linux
  head/comms/direwolf/files/patch-dw-start.sh
  head/comms/direwolf/files/patch-dwgpsd.c
  head/comms/direwolf/files/patch-ptt.c
  head/comms/direwolf/pkg-plist
Comment 3 Stephen Hurd freebsd_committer 2019-07-22 18:14:42 UTC
Committed with some minor changes:

- Don't override CC
- Disable ALSA entirely
- Force hamlib and gpsd support rather than checking for existence of header file
- Use makepatch to generate patch files